{% extends "root.html" %}
{% block title %}SOS Analyse{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-8">
            <h4>Result SOS-report</h4>
        </div>
        <div class="col-4">
            <a href="{{ url_for("browse_report", report_id=report_id, path="sos_reports/sos.html") }}">Browse Report</a>
        </div>
    </div>
    <div class="row py-2">
        <table class="table table-hover">
            <thead>
            <tr>
                <th>Test</th>
                <th>Pattern</th>
                <th>Run</th>
                <th>NOK</th>
{#                <th>Hint</th>#}
{#                <th>Knowledge</th>#}
            </tr>
            </thead>
            <tbody>
            {% for entry in vector %}
                <tr onclick="test('{{ entry.Test }}')" class="{% if entry.Run == 'Success' %}table-success{% elif entry.Run == 'Fail' %}table-danger{% else %}table-light{% endif %}">
                    <td>{{ entry.Test }}</td>
                    <td>{{ entry.Pattern }}</td>
                    <td>{{ entry.Run }}</td>
                    <td>{{ entry.NOK }}</td>
{#                    <td>{{ entry.Hint }}</td>#}
{#                    <td><a href='{{ entry.Knowledge }}'>{{ entry.Knowledge }}</a></td>#}
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="modal_charge" tabindex="-1" aria-labelledby="modal_charge_title" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal_charge_title">Charge details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="modal_charge_body">
                    loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block scripting %}
    <script>
        function test(id) {
            $("#modal_charge_body").load("{{ url_for('analyze_report_modal', report_id=report_id) }}?test_id=" + encodeURIComponent(id));
            $("#modal_charge").modal("show");
        }
    </script>
{% endblock %}